=== debian/changelog ===
kactivities (4:4.13.3-2) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Pino Toscano ]
  * Remove Ubuntu cruft from control.
  * Update Vcs-* fields.
  * Rename the XS-Testsuite field to Testsuite, the official name.
  * Remove libkactivities-dbg in favour of the -dbgsym packages.
  * Update lintian overrides.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Point watch file to the Attic, since that's where it is the last version
    for kdelibs4 (tracked by this source).
  * Disable the runtime components, since they are not coinstallable with the
    Frameworks version of kactivitymanagerd:
    - pass -DKACTIVITIES_LIBRARY_ONLY=ON to cmake
    - update install files
  * Nepomuk is being phased out, so drop the support for Nepomuk models:
    - remove the libsoprano-dev, nepomuk-core-dev, and
      shared-desktop-ontologies build dependencies
    - drop the libkactivities-models1 binary, no more built
    - update install files
  * Entirely drop libkactivities-bin, since all it now left are the
    Nepomuk-related kao.ontology and kao.trig files.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Jul 2016 12:29:23 +0200

kactivities (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 15:42:46 +0200

kactivities (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:42:14 +0100

kactivities (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:15:58 +0200

kactivities (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:40 +0200

kactivities (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:48 +0100

kactivities (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update acc files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:38 +0100

kactivities (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Jan 2014 21:30:13 -0300

kactivities (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 16:33:55 +0100

kactivities (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build-dependency version.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2013 17:11:50 +0200

kactivities (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:32:23 +0200

kactivities (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:17:42 +0200

kactivities (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update Uploaders list.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jun 2013 23:00:03 +0200
