=== debian/control ===
Source: kactivities
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libqt4-opengl-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.15.4~),
Standards-Version: 3.9.8
Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-sc/kactivities.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/kactivities.git

Package: libkactivities6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Activities library
 This library provides functionality for managing activities.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dev
Section: libdevel
Architecture: any
Depends: ${allLibraries},
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkactivities6}
Description: development files for the KDE Activities libraries
 This package contains the development files for developing with the
 kactivities library.
 .
 This package is part of the KDE Development Platform libraries module.
