=== debian/watch ===
version=3
http://download.kde.org/Attic/([\d.]+)/src/kactivities-([\d.]+).tar.xz
